Remove list items
curl --request DELETE \
--url https://api.stardex.ai/v1/lists/{id}/items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"company_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.stardex.ai/v1/lists/{id}/items"
payload = {
"person_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"company_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"team_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
company_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
team_member_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.stardex.ai/v1/lists/{id}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"list_id": "aaa11111-bbbb-cccc-dddd-eeeeeeee1111",
"list_type": "persons",
"removed_ids": [
"ccc33333-dddd-eeee-ffff-000000003333"
],
"not_found_ids": [],
"failed": [
{
"id": "99999999-8888-7777-6666-555555555555",
"reason": "not_found"
}
]
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Lists
Remove list items
Soft-remove persons or companies from a saved list in bulk. Invalid IDs fail individually and do not block other IDs in the same request.
DELETE
/
v1
/
lists
/
{id}
/
items
Remove list items
Authorizations
Authenticate with a Bearer token: API key, OAuth token, or session token.
Path Parameters
List UUID
Body
application/json
Person UUIDs to add or remove. Only valid for lists with list_type "persons".
Company UUIDs to add or remove. Only valid for lists with list_type "companies".
Team member UUID to attribute as the actor for this mutation. Required for API-key auth (which has no implicit user context). Ignored when using session or OAuth auth.
Was this page helpful?
⌘I